com.holonplatform.jaxrs.client.internal

## Class JaxrsRawResponseEntity

- java.lang.Object
- - com.holonplatform.jaxrs.client.internal.JaxrsResponseEntity<byte[]>
  - - com.holonplatform.jaxrs.client.internal.JaxrsRawResponseEntity

- All Implemented Interfaces:
    com.holonplatform.core.messaging.Message<byte[],List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>, com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<byte[]>, com.holonplatform.http.HttpResponse<byte[]>, com.holonplatform.http.rest.ResponseEntity<byte[]>

      public class JaxrsRawResponseEntity
      extends JaxrsResponseEntity<byte[]>

  JAX-RS raw `ResponseEntity` implementation, which returns a `byte[]` as payload.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.HttpResponse

      `com.holonplatform.http.HttpResponse.Builder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsRawResponseEntity(javax.ws.rs.core.Response response)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<byte[]>` | `getPayload()`
    `Class<? extends byte[]>` | `getPayloadType()`

    - ### Methods inherited from class com.holonplatform.jaxrs.client.internal.JaxrsResponseEntity

      `as, as, close, getHeaders, getStatusCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.http.HttpResponse

      `builder, builder, getStatus`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader`

- - ### Constructor Detail

    - #### JaxrsRawResponseEntity

          public JaxrsRawResponseEntity(javax.ws.rs.core.Response response)

      Constructor
      Parameters:
        `response` - JAX-RS response (not null)

  - ### Method Detail

    - #### getPayload

          public Optional<byte[]> getPayload()
                                      throws UnsupportedOperationException

      Specified by:
        `getPayload` in interface `com.holonplatform.core.messaging.Message<byte[],List<String>>`
      Overrides:
        `getPayload` in class `JaxrsResponseEntity<byte[]>`
      Throws:
        `UnsupportedOperationException`

    - #### getPayloadType

          public Class<? extends byte[]> getPayloadType()
                                                 throws UnsupportedOperationException

      Specified by:
        `getPayloadType` in interface `com.holonplatform.core.messaging.Message<byte[],List<String>>`
      Overrides:
        `getPayloadType` in class `JaxrsResponseEntity<byte[]>`
      Throws:
        `UnsupportedOperationException`

Copyright © 2019 The Holon Platform. All rights reserved.